Amplify APIReference
Update Existing PromotedLinks CPC Value
PUT
/campaigns/{campaignId}/promotedLinksTo update a PromotedLink send a JSON with the updated value for one or more of the allowed PromotedLink attributes.
All attribute values left unset in this PUT will remain unchanged.
Only the following PromotedLink attributes are updatable:
-
cpc
-
enabled
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
campaignId*string
the Campaign id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
[index: integer]?
curl -X PUT "https://example.com/campaigns/00f4b02153ee75f3c9dc4fc128ab041962/promotedLinks" \ -H "Content-Type: application/json" \ -d '[ { "id": "abf4b02153ee75f3cadc4fc128ab0419ab", "cpc": 0.7 }, { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "cpc": 0.6 } ]'Empty